-- name: [ARENA] Bowser's Castle
-- description: a Battle map. requires Arena to be enabled

-- register the level here
LEVEL_ARENA_CASTLE = level_register('level_arena_castle_entry', COURSE_NONE, 'Bowser\'s Castle', 'castle', 28000, 0x08, 0x08, 0x08)

add_scroll_target(20, 'arena_castle_dl_lava_out_mesh_layer_1_vtx_0', 0, 192)

add_scroll_target(21, 'arena_castle_dl_lava_in_mesh_layer_1_vtx_0', 0, 8)

-- make sure we don't add the level twice
local sAddedLevels = false

function on_level_init()
    -- make sure we don't add the level twice
    if sAddedLevels then return end
    sAddedLevels = true

    -- make sure Arena was loaded
    if not _G.Arena then
        djui_popup_create("Error: the Arena gamemode wasn't loaded!", 2)
        return
    end

    -- add the level to arena
    _G.Arena.add_level(LEVEL_ARENA_CASTLE, 'BCastle')
end

hook_event(HOOK_ON_LEVEL_INIT, on_level_init)